| Home | Libraries | People | FAQ | More

## Function env_var

boost::proto::env_var — For fetching the value from a transform environment corresponding to the specified `Key`.

## Synopsis

    // In header: <boost/proto/transform/env.hpp>

    template<typename Key, typename Env>
      typename proto::result_of::env_var<Env &, Key>::type env_var(Env & e);
    template<typename Key, typename Env>
      typename proto::result_of::env_var<Env const &, Key>::type
      env_var(Env const & e);

## Description

See also:

- `proto::functional::env_var::operator()`

Returns: | `proto::functional::env_var<Key>()(e)`